Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Interface Service

All Known Subinterfaces:
  Broker, BrokerClient, BrokerConnector, BrokerContainer, Dispatcher, MessageContainer, MessageContainerManager, MessageStore, PersistenceAdapter, PreparedTransactionStore, QueueMessageContainer, TopicMessageContainer, TopicMessageStore, TransactionManager, TransportChannel, TransportServerChannel

All Known Implementing Classes:
  AbstractTransportChannel, ActiveMQConnectionFactory, BDbMessageStore, BDbMessageStore, BDbPreparedTransactionStore, BDbTopicMessageStore, BDbTopicMessageStore, BrokerClientImpl, BrokerConnectorImpl, BrokerContainerImpl, DefaultBroker, DispatcherImpl, DispatchWorker, DurableQueueMessageContainer, DurableTopicMessageContainer, GTransportServerChannel, HowlMessageStore, JDBCMessageStore, JDBCPreparedTransactionStore, JDBCTopicMessageStore, JdbmMessageStore, JdbmPreparedTransactionStore, JdbmTopicMessageStore, MessageContainerManagerSupport, PersistenceAdapterSupport, ProxyMessageContainerManager, TransactionManagerImpl, TransientTopicBoundedMessageContainer, TransientTopicBoundedMessageManager, TransportServerChannelSupport, VMMessageStore, VMPreparedTransactionStoreImpl, VMTopicMessageStore

public interface Service

`Service` represents some service of some kind with a simple start/stop lifecycle.

Version:
  $Revision: 1.6 $

Method Summary
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Method Detail

### start

    public void start()
               throws JMSException

  Called to start the service

  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Called to shutdown the service

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.